import React from "react";
import { useState } from 'react'


export default function QuestionEight(props) {
    const { currentIndex } = props;
    const isHidden = currentIndex !== 7;

    const [answers, setAnswers] = useState({ answer1: "", answer2: "", answer3: "", answer4: "" });
    const [help, setHelp] = useState(false);

    const handleAnswerChange = (answer, value) => {
        setAnswers({ ...answers, [answer]: value });
    };

    const handleSubmit = (event) => {
        event.preventDefault();
        const correctAnswers = ["GIS", "GPS", "GIS", "GPS"];
        const userAnswers = Object.values(answers);
        if (JSON.stringify(userAnswers) === JSON.stringify(correctAnswers)) {
            alert("Správně!");
        } else {
            alert("Bohužel špatně.");
        }
    };

    function handleHelp(e) {
        setHelp(true)
    }

    function handleNoHelp(e) {
        setHelp(false)
    }

    return (
        <div style={{ display: isHidden ? "none" : "block" }}>
            <div className='question-wrap'>

                <div className='question-title'><h2>GIS a GPS</h2></div>
                <div className="question-info">Označte, ke která z uvedených tvrzení jsou náleží GIS a která GPS:</div>
                <div className="help">
                    <button onClick={handleHelp}>Nápověda</button>
                    <button onClick={handleNoHelp}>Skrýt nápovědu</button>
                    {help && <iframe title="3V" src="big_dataCZ.pdf#page=2bottom#zoom=300" width="800" height="400"></iframe>}
                </div>
                <form onSubmit={handleSubmit}>
                    <div className="single-choice-question-tf-big">
                        <p>
                            ____   &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;je počítačový nástroj, který slouží k ukládání, vizualizaci, analýze a interpretaci geografických dat.
                        </p>

                        <label>
                            GIS
                            <input
                                type="checkbox"
                                checked={answers.answer1 === "GIS"}
                                onChange={() => handleAnswerChange("answer1", "GIS")}
                            />
                        </label>
                        <label>
                            GPS
                            <input
                                type="checkbox"
                                checked={answers.answer1 === "GPS"}
                                onChange={() => handleAnswerChange("answer1", "GPS")}
                            />
                        </label>
                    </div>
                    <div className="single-choice-question-tf-big">
                        <p>
                            _____  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; funguje za jakýchkoli povětrnostních podmínek, kdekoli na světě, 24 hodin denně, bez předplatného nebo instalačních poplatků.
                        </p>

                        <label>
                            GIS
                            <input
                                type="checkbox"
                                checked={answers.answer2 === "GIS"}
                                onChange={() => handleAnswerChange("answer2", "GIS")}
                            />
                        </label>
                        <label>
                            GPS
                            <input
                                type="checkbox"
                                checked={answers.answer2 === "GPS"}
                                onChange={() => handleAnswerChange("answer2", "GPS")}
                            />
                        </label>
                    </div>
                    <div className="single-choice-question-tf-big">
                        <p>
                            _____  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; používá prostorová data k vytváření map a 3D modelů z vrstev vizuálních informací.
                        </p>

                        <label>
                            GIS
                            <input
                                type="checkbox"
                                checked={answers.answer3 === "GIS"}
                                onChange={() => handleAnswerChange("answer3", "GIS")}
                            />
                        </label>
                        <label>
                            GPS
                            <input
                                type="checkbox"
                                checked={answers.answer3 === "GPS"}
                                onChange={() => handleAnswerChange("answer3", "GPS")}
                            />
                        </label>
                    </div>
                    <div className="single-choice-question-tf-big">
                        <p>
                            _____  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; je družicový navigační systém, který se skládá ze souboru operačních družic.
                        </p>

                        <label>
                            GIS
                            <input
                                type="checkbox"
                                checked={answers.answer4 === "true"}
                                onChange={() => handleAnswerChange("answer4", "true")}
                            />
                        </label>
                        <label>
                            GPS
                            <input
                                type="checkbox"
                                checked={answers.answer4 === "GPS"}
                                onChange={() => handleAnswerChange("answer4", "GPS")}
                            />
                        </label>
                    </div>

                    <button type="submit">Odeslat</button>
                </form>
            </div>
        </div>
    );
};