import React from "react";
import { useState } from 'react'


export default function QuestionEleven(props) {
    const { currentIndex } = props;
    const isHidden = currentIndex !== 10;

    const [answers, setAnswers] = useState({ answer1: "", answer2: "", answer3: "" });
    const [help, setHelp] = useState(false);

    function handleHelp(e) {
        setHelp(true)
    }

    function handleNoHelp(e) {
        setHelp(false)
    }
    const handleAnswerChange = (answer, value) => {
        setAnswers({ ...answers, [answer]: value });
    };

    const handleSubmit = (event) => {
        event.preventDefault();
        const correctAnswers = ["true", "false", "true"];
        const userAnswers = Object.values(answers);
        if (JSON.stringify(userAnswers) === JSON.stringify(correctAnswers)) {
            alert("Správně!");
        } else {
            alert("Bohužel špatně.");
        }
    };

    return (
        <div style={{ display: isHidden ? "none" : "block" }}>
            <div className='question-wrap'>

                <div className='question-title'><h2>Jak lze využít chytré telefony v precizním zemědělství?</h2></div>
                <div className="question-info">Označte, ke která z uvedených tvrzení jsou pravdivá a která ne:</div>
                <div className="help">
                    <button onClick={handleHelp}>Nápověda</button>
                    <button onClick={handleNoHelp}>Skrýt nápovědu</button>
                    {help && <iframe title="3V" src="big_dataCZ.pdf#page=2bottom#zoom=300" width="800" height="400"></iframe>}
                </div>
                <form onSubmit={handleSubmit}>
                    <div className="single-choice-question-tf">
                        <p>
                            Chytré telefony mohou snížit finanční náklady na zemědělské operace.
                        </p>

                        <label>

                            True
                            <input
                                type="checkbox"
                                checked={answers.answer1 === "true"}
                                onChange={() => handleAnswerChange("answer1", "true")}
                            />
                        </label>
                        <label>

                            False
                            <input
                                type="checkbox"
                                checked={answers.answer1 === "false"}
                                onChange={() => handleAnswerChange("answer1", "false")}
                            />
                        </label>
                    </div>
                    <div className="single-choice-question-tf">

                        <p>
                            Chytré telefony jsou užitečné pro sběr a zpracování dat, ale nemohou zemědělcům pomoci v rozhodovacích procesech.
                        </p>

                        <label>

                            True
                            <input
                                type="checkbox"
                                checked={answers.answer2 === "true"}
                                onChange={() => handleAnswerChange("answer2", "true")}
                            />
                        </label>
                        <label>

                            False
                            <input
                                type="checkbox"
                                checked={answers.answer2 === "false"}
                                onChange={() => handleAnswerChange("answer2", "false")}
                            />
                        </label>
                    </div>
                    <div className="single-choice-question-tf">
                        <p>
                            Smartphones enable farmers to stay connected to their farm even from afar
                        </p>

                        <label>

                            True
                            <input
                                type="checkbox"
                                checked={answers.answer3 === "true"}
                                onChange={() => handleAnswerChange("answer3", "true")}
                            />
                        </label>
                        <label>

                            False
                            <input
                                type="checkbox"
                                checked={answers.answer3 === "false"}
                                onChange={() => handleAnswerChange("answer3", "false")}
                            />
                        </label>
                    </div>
                    <button type="submit">Odeslat</button>
                </form >
            </div >
        </div>
    );
};