import React from 'react'
import { useState } from 'react'


export default function QuestionFifteen(props) {
    const { currentIndex } = props;
    const isHidden = currentIndex !== 14;

    const [answers, setAnswers] = useState({ answer1: "", answer2: "", answer3: "", answer4: "", answer5: "" });
    const [help, setHelp] = useState(false);

    function handleHelp(e) {
        setHelp(true)
    }

    function handleNoHelp(e) {
        setHelp(false)
    }
    const handleAnswerChange = (answer, value) => {
        setAnswers({ ...answers, [answer]: value });
    };

    const handleSubmit = (event) => {
        event.preventDefault();
        const correctAnswers = ["false", "true", "true", "false", "true"];
        const userAnswers = Object.values(answers);
        if (JSON.stringify(userAnswers) === JSON.stringify(correctAnswers)) {
            alert("Správně!");
        } else {
            alert("Bohužel špatně.");
        }
    };

    return (
        <div style={{ display: isHidden ? "none" : "block" }}>

            <div>
                <div className='question-wrap'>

                    <div>
                        <div className='question-title'><h2>Systémy pro podporu rozhodování</h2></div>
                        <div className="question-info">Označte, která z uvedených tvrzení jsou pravdivá a která ne:</div>
                        <div className="help">
                            <button onClick={handleHelp}>Nápověda</button>
                            <button onClick={handleNoHelp}>Skrýt nápovědu</button>
                            {help && <iframe title="3V" src="big_dataCZ.pdf#page=2bottom#zoom=300" width="800" height="400"></iframe>}
                        </div>
                        <form onSubmit={handleSubmit}>
                            <div className="single-choice-question-tf">
                                <p>
                                    K dnešnímu dni používá DSS více než 30 % evropských zemědělců.
                                </p>
                                <label>

                                    True
                                    <input
                                        type="checkbox"
                                        checked={answers.answer1 === "true"}
                                        onChange={() => handleAnswerChange("answer1", "true")}
                                    />
                                </label>
                                <label>

                                    False
                                    <input
                                        type="checkbox"
                                        checked={answers.answer1 === "false"}
                                        onChange={() => handleAnswerChange("answer1", "false")}
                                    />
                                </label>
                            </div>
                            <div className="single-choice-question-tf">

                                <p>
                                    Očekává se, že do roku 2030 se počet žádostí o DSS nejméně zdvojnásobí.
                                </p>
                                <label>

                                    True
                                    <input
                                        type="checkbox"
                                        checked={answers.answer2 === "true"}
                                        onChange={() => handleAnswerChange("answer2", "true")}
                                    />
                                </label>
                                <label>

                                    False
                                    <input
                                        type="checkbox"
                                        checked={answers.answer2 === "false"}
                                        onChange={() => handleAnswerChange("answer2", "false")}
                                    />
                                </label>
                            </div>
                            <div className="single-choice-question-tf">
                                <p>
                                    DSS automatically collects, organises, interprets and integrates data
                                </p>
                                <label>

                                    True
                                    <input
                                        type="checkbox"
                                        checked={answers.answer3 === "true"}
                                        onChange={() => handleAnswerChange("answer3", "true")}
                                    />
                                </label>
                                <label>

                                    False
                                    <input
                                        type="checkbox"
                                        checked={answers.answer3 === "false"}
                                        onChange={() => handleAnswerChange("answer3", "false")}
                                    />
                                </label>
                            </div>
                            <div className="single-choice-question-tf">
                                <p>
                                    DSS nelze spravovat na dálku
                                </p>
                                <label>

                                    True
                                    <input
                                        type="checkbox"
                                        checked={answers.answer4 === "true"}
                                        onChange={() => handleAnswerChange("answer4", "true")}
                                    />
                                </label>
                                <label>

                                    False
                                    <input
                                        type="checkbox"
                                        checked={answers.answer4 === "false"}
                                        onChange={() => handleAnswerChange("answer4", "false")}
                                    />
                                </label>
                            </div>
                            <div className="single-choice-question-tf">
                                <p>
                                    DSS podporují zemědělce v udržení kontroly nad všemi proměnnými, které jsou nezbytné pro posouzení rozhodnutí.
                                </p>
                                <label>

                                    True
                                    <input
                                        type="checkbox"
                                        checked={answers.answer5 === "true"}
                                        onChange={() => handleAnswerChange("answer5", "true")}
                                    />
                                </label>
                                <label>

                                    False
                                    <input
                                        type="checkbox"
                                        checked={answers.answer5 === "false"}
                                        onChange={() => handleAnswerChange("answer5", "false")}
                                    />
                                </label>
                            </div>
                            <button type="submit">Odeslat</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    );
};