import React from "react";
import { useState } from 'react'


export default function QuestionFive(props) {
    const { currentIndex } = props;
    const isHidden = currentIndex !== 4;

    const [answers, setAnswers] = useState({ answer1: "", answer2: "", answer3: "", answer4: "", answer5: "", answer6: "" });
    const [help, setHelp] = useState(false);

    function handleHelp(e) {
        setHelp(true)
    }

    function handleNoHelp(e) {
        setHelp(false)
    }
    const handleAnswerChange = (answer, value) => {
        setAnswers({ ...answers, [answer]: value });
    };

    const handleSubmit = (event) => {
        event.preventDefault();
        const correctAnswers = ["false", "true", "false", "true", "true", "false"];
        const userAnswers = Object.values(answers);
        if (JSON.stringify(userAnswers) === JSON.stringify(correctAnswers)) {
            alert("Správně!");
        } else {
            alert("Bohužel špatně.");
        }
    };



    return (
        <div style={{ display: isHidden ? "none" : "block" }}>
            <div className='question-wrap'>
                <div className='question-title'><h2>Chytré stroje</h2></div>
                <p className="question-info">Označte, která z uvedených tvrzení jsou pravdivá a která nepravdivá:</p>

                <div className="help">
                    <button onClick={handleHelp}>Nápověda</button>
                    <button onClick={handleNoHelp}>Skrýt nápovědu</button>
                    {help && <iframe src="PA_CZ.pdf#page=2#zoom=300" width="600" height="300"></iframe>}
                </div>

                <div>
                    <form onSubmit={handleSubmit}>
                        <div className="single-choice-question-tf-big">
                            <p>
                                Chytré stroje využívají síť senzorů, které shromažďují informace o předchozím stavu stroje.
                            </p>
                            <label>
                                True
                                <input
                                    type="checkbox"
                                    checked={answers.answer1 === "true"}
                                    onChange={() => handleAnswerChange("answer1", "true")}
                                />
                            </label>
                            <label>
                                False
                                <input
                                    type="checkbox"
                                    checked={answers.answer1 === "false"}
                                    onChange={() => handleAnswerChange("answer1", "false")}
                                />
                            </label>
                        </div>
                        <div className="single-choice-question-tf-big">
                            <p>
                                "Komunikace mezi stroji" (M2M) spočívá v tom, že stroje mohou přenášet data do jiných zařízení prostřednictvím sítě bez většího zásahu člověka.
                            </p>
                            <label>
                                True
                                <input
                                    type="checkbox"
                                    checked={answers.answer2 === "true"}
                                    onChange={() => handleAnswerChange("answer2", "true")}
                                />
                            </label>
                            <label>
                                False
                                <input
                                    type="checkbox"
                                    checked={answers.answer2 === "false"}
                                    onChange={() => handleAnswerChange("answer2", "false")}
                                />
                            </label>
                        </div>
                        <div className="single-choice-question-tf-big">
                            <p>
                                Při kabelové komunikaci M2M se data mezi zařízeními přenášejí pouze prostřednictvím optických kabelů.
                            </p>
                            <label>
                                True
                                <input
                                    type="checkbox"
                                    checked={answers.answer3 === "true"}
                                    onChange={() => handleAnswerChange("answer3", "true")}
                                />
                            </label>
                            <label>
                                False
                                <input
                                    type="checkbox"
                                    checked={answers.answer3 === "false"}
                                    onChange={() => handleAnswerChange("answer3", "false")}
                                />
                            </label>
                        </div>
                        <div className="single-choice-question-tf-big">
                            <p>
                                Bezdrátová komunikace M2M, která ke komunikaci využívá především bezdrátovou síť, se označuje jako internet věcí. IT využívá širokou škálu technologií od rádiových vln až po nejnovější technologii 5G.
                            </p>
                            <label>
                                True
                                <input
                                    type="checkbox"
                                    checked={answers.answer4 === "true"}
                                    onChange={() => handleAnswerChange("answer4", "true")}
                                />
                            </label>
                            <label>
                                False
                                <input
                                    type="checkbox"
                                    checked={answers.answer4 === "false"}
                                    onChange={() => handleAnswerChange("answer4", "false")}
                                />
                            </label>
                        </div>
                        <div className="single-choice-question-tf-big">
                            <p>
                                Propojení stroj-stroj (M2M) přizpůsobuje své chování na základě učení, není závislé na pokynech od lidí a je schopno přijít s neočekávanými výsledky.
                            </p>
                            <label>
                                True
                                <input
                                    type="checkbox"
                                    checked={answers.answer5 === "true"}
                                    onChange={() => handleAnswerChange("answer5", "true")}
                                />
                            </label>
                            <label>
                                False
                                <input
                                    type="checkbox"
                                    checked={answers.answer5 === "false"}
                                    onChange={() => handleAnswerChange("answer5", "false")}
                                />
                            </label>
                        </div>
                        <div className="single-choice-question-tf-big">
                            <p>
                                Bezdrátová komunikace M2M, která ke komunikaci využívá především bezdrátovou síť, funguje většinou v širokém rozsahu rádiových vln.
                            </p>
                            <label>
                                True
                                <input
                                    type="checkbox"
                                    checked={answers.answer6 === "true"}
                                    onChange={() => handleAnswerChange("answer6", "true")}
                                />
                            </label>
                            <label>
                                False
                                <input
                                    type="checkbox"
                                    checked={answers.answer6 === "false"}
                                    onChange={() => handleAnswerChange("answer6", "false")}
                                />
                            </label>
                        </div>
                        <button type="submit">Odeslat</button>
                    </form>
                </div>
            </div>
        </div>
    );
};