import React from "react";
import { useState } from 'react'


export default function QuestionFour(props) {
    const { currentIndex } = props;
    const isHidden = currentIndex !== 3;

    const [answers, setAnswers] = useState({ answer1: "", answer2: "", answer3: "" });
    const [help, setHelp] = useState(false);

    function handleHelp(e) {
        setHelp(true)
    }

    function handleNoHelp(e) {
        setHelp(false)
    }

    const handleAnswerChange = (answer, value) => {
        setAnswers({ ...answers, [answer]: value });
    };

    const handleSubmit = (event) => {
        event.preventDefault();
        const correctAnswers = ["true", "false", "true"];
        const userAnswers = Object.values(answers);
        if (JSON.stringify(userAnswers) === JSON.stringify(correctAnswers)) {
            alert("Správně!");
        } else {
            alert("Bohužel špatně.");
        }
    };

    return (
        <div style={{ display: isHidden ? "none" : "block" }}>
            <div className='question-wrap'>

                <div>
                    <div className='question-title'><h2>Chytré stroje</h2></div>
                    <p className="question-info">Označte, která z uvedených tvrzení jsou pravdivá a která nepravdivá:</p>
                    <div className="help">
                        <button onClick={handleHelp}>Nápověda</button>
                        <button onClick={handleNoHelp}>Skrýt nápovědu</button>
                        {help && <iframe src="PA_CZ.pdf#page=2#zoom=300" width="600" height="300"></iframe>}
                    </div>
                    <form onSubmit={handleSubmit}>
                        <div className="single-choice-question-tf">
                            <p>Přizpůsobit své chování na základě zkušeností:</p>
                            <label>
                                True
                                <input
                                    type="checkbox"
                                    checked={answers.answer1 === "true"}
                                    onChange={() => handleAnswerChange("answer1", "true")}
                                />
                            </label>

                            <label>
                                False
                                <input
                                    type="checkbox"
                                    checked={answers.answer1 === "false"}
                                    onChange={() => handleAnswerChange("answer1", "false")}
                                />
                            </label>
                        </div>
                        <br />
                        <div className="single-choice-question-tf">
                            <p>Plně záviset na pokynech od lidí:</p>
                            <label>
                                True
                                <input
                                    type="checkbox"
                                    checked={answers.answer2 === "true"}
                                    onChange={() => handleAnswerChange("answer2", "true")}
                                />
                            </label>

                            <label>
                                False
                                <input
                                    type="checkbox"
                                    checked={answers.answer2 === "false"}
                                    onChange={() => handleAnswerChange("answer2", "false")}
                                />
                            </label>

                        </div>
                        <br />
                        <div className="single-choice-question-tf">
                            <p>Umí se učit samostatně:</p>
                            <label>
                                True
                                <input
                                    type="checkbox"
                                    checked={answers.answer3 === "true"}
                                    onChange={() => handleAnswerChange("answer3", "true")}
                                />
                            </label>

                            <label>
                                False
                                <input
                                    type="checkbox"
                                    checked={answers.answer3 === "false"}
                                    onChange={() => handleAnswerChange("answer3", "false")}
                                />
                            </label>

                        </div>
                        <br />
                        <button type="submit">Odeslat</button>
                    </form>
                </div>
            </div>
        </div>
    );
};