import React from 'react'
import { useState } from 'react'


export default function QuestionFourteen(props) {
    const { currentIndex } = props;
    const isHidden = currentIndex !== 13;

    const [help, setHelp] = useState(false);


    const [isAnswerOneCorrect, setIsAnswerOneCorrect] = useState(false);
    const [isAnswerTwoCorrect, setIsAnswerTwoCorrect] = useState(false);
    const [isAnswerThreeCorrect, setIsAnswerThreeCorrect] = useState(false);
    const [isAnswerFourCorrect, setIsAnswerFourCorrect] = useState(false);

    const handleDragStart = (event) => {
        event.dataTransfer.setData("text/plain", event.target.id);
    };

    const handleDropSentence1 = (event) => {
        const droppedItemId = event.dataTransfer.getData("text");
        if (droppedItemId === "agro3") {
            setIsAnswerOneCorrect(true);
            event.target.appendChild(document.getElementById(droppedItemId));
        }
    };

    const handleDropSentence2 = (event) => {
        const droppedItemId = event.dataTransfer.getData("text");
        if (droppedItemId === "agro4") {
            setIsAnswerTwoCorrect(true);
            event.target.appendChild(document.getElementById(droppedItemId));
        }
    };
    const handleDropSentence3 = (event) => {
        const droppedItemId = event.dataTransfer.getData("text");
        if (droppedItemId === "agro1") {
            setIsAnswerThreeCorrect(true);
            event.target.appendChild(document.getElementById(droppedItemId));
        }
    };
    const handleDropSentence4 = (event) => {
        const droppedItemId = event.dataTransfer.getData("text");
        if (droppedItemId === "agro2") {
            setIsAnswerFourCorrect(true);
            event.target.appendChild(document.getElementById(droppedItemId));
        }
    };

    const handleDragOver = (event) => {
        event.preventDefault();
    };


    function handleHelp(e) {
        setHelp(true)
    }

    function handleNoHelp(e) {
        setHelp(false)
    }

    return (
        <div style={{ display: isHidden ? "none" : "block" }}>
            <div className='question-wrap'>

                <div className='question-title'><h2>Drony: </h2></div>
                <div className="question-info">Označte, ke která z uvedených tvrzení jsou pravdivá a která ne:</div>
                <div className="help">
                    <button onClick={handleHelp}>Nápověda</button>
                    <button onClick={handleNoHelp}>Skrýt nápovědu</button>
                    {help && <iframe title="3V" src="big_dataCZ.pdf#page=2bottom#zoom=300" width="800" height="400"></iframe>}
                </div>
                <div className='flex'>
                    <div>
                        <p
                            onDragOver={handleDragOver}
                            onDrop={handleDropSentence1}
                            style={{
                                border: "1px solid black",
                                width: "400px",
                                padding: "10px",
                                margin: "10px",
                            }}
                        >
                            Výpočetní technika a elektronika
                        </p>
                        <p
                            onDragOver={handleDragOver}
                            onDrop={handleDropSentence2}
                            style={{
                                border: "1px solid black",
                                width: "400px",
                                padding: "10px",
                                margin: "10px",
                            }}
                        >
                            Internet věcí, velká data, umělá inteligence, cloud computing, dálkový průzkum Země
                        </p>
                        <p
                            onDragOver={handleDragOver}
                            onDrop={handleDropSentence3}
                            style={{
                                border: "1px solid black",
                                width: "400px",
                                padding: "10px",
                                margin: "10px",
                            }}
                        >
                            Manuální práce
                        </p>
                        <p
                            onDragOver={handleDragOver}
                            onDrop={handleDropSentence4}
                            style={{
                                border: "1px solid black",
                                width: "400px",
                                padding: "10px",
                                margin: "10px",
                            }}
                        >
                            Stroje a parní stroj
                        </p>
                    </div>
                    <div className="flex-column">

                        <button
                            style={{ display: "inline-block" }}
                            id="agro4"
                            draggable={true}
                            onDragStart={handleDragStart}
                            className="drag-btn"
                        >
                            Zemědělství 4.0
                        </button>
                        <button
                            style={{ display: "inline-block" }}
                            id="agro2"
                            draggable={true}
                            onDragStart={handleDragStart}
                            className="drag-btn"
                        >
                            Zemědělství 2.0
                        </button>
                        <button
                            style={{ display: "inline-block", verticalAlign: "middle" }}
                            id="agro3"
                            draggable={true}
                            onDragStart={handleDragStart}
                            className="drag-btn"
                        >
                            Zemědělství 3.0
                        </button>
                        <button
                            style={{ display: "inline-block" }}
                            id="agro1"
                            draggable={true}
                            onDragStart={handleDragStart}
                            className="drag-btn"
                        >
                            Zemědělství 1.0
                        </button>


                    </div>
                </div>
                <button>Odeslat</button>
                <div className='answer'>
                    {isAnswerOneCorrect && isAnswerTwoCorrect && isAnswerThreeCorrect ? (<div>Dobrá práce!</div>) : (<div style={{ display: "none" }}></div>)}
                </div>

            </div>

        </div >
    )
}
