import React from "react";
import { useState } from 'react'


export default function QuestionNine(props) {
    const { currentIndex } = props;
    const isHidden = currentIndex !== 8;

    const [answers, setAnswers] = useState({ answer1: "", answer2: "", answer3: "", answer4: "" });
    const [help, setHelp] = useState(false);

    function handleHelp(e) {
        setHelp(true)
    }

    function handleNoHelp(e) {
        setHelp(false)
    }
    const handleAnswerChange = (answer, value) => {
        setAnswers({ ...answers, [answer]: value });
    };

    const handleSubmit = (event) => {
        event.preventDefault();
        const correctAnswers = ["true", "false", "true", "false"];
        const userAnswers = Object.values(answers);
        if (JSON.stringify(userAnswers) === JSON.stringify(correctAnswers)) {
            alert("Správně!");
        } else {
            alert("Bohužel špatně.");
        }
    };

    return (
        <div style={{ display: isHidden ? "none" : "block" }}>
            <div className='question-wrap'>

                <div>
                    <div className='question-title'><h2>Senzory a satelity</h2></div>
                    <div className="question-info">Označte, ke která z uvedených tvrzení jsou pravdivá a která ne:</div>
                    <div className="help">
                        <button onClick={handleHelp}>Nápověda</button>
                        <button onClick={handleNoHelp}>Skrýt nápovědu</button>
                        {help && <iframe title="3V" src="big_dataCZ.pdf#page=2bottom#zoom=300" width="800" height="400"></iframe>}
                    </div>
                    <form onSubmit={handleSubmit}>
                        <div className="single-choice-question-tf-big">
                            <p>
                                V blízké budoucnosti budou všechny plochy zemědělských plodin v EU pod dohledem satelitů Sentinel.
                            </p>

                            <label>
                                True
                                <input
                                    type="checkbox"
                                    checked={answers.answer1 === "true"}
                                    onChange={() => handleAnswerChange("answer1", "true")}
                                />
                            </label>
                            <label>
                                False
                                <input
                                    type="checkbox"
                                    checked={answers.answer1 === "false"}
                                    onChange={() => handleAnswerChange("answer1", "false")}
                                />
                            </label>
                        </div>
                        <div className="single-choice-question-tf-big">
                            <p>
                                Senzory nedokážou odhalit velmi jemné rozdíly ve vegetaci, které by při běžném pozorování zůstaly skryté.
                            </p>

                            <label>
                                True
                                <input
                                    type="checkbox"
                                    checked={answers.answer2 === "true"}
                                    onChange={() => handleAnswerChange("answer2", "true")}
                                />
                            </label>
                            <label>
                                False
                                <input
                                    type="checkbox"
                                    checked={answers.answer2 === "false"}
                                    onChange={() => handleAnswerChange("answer2", "false")}
                                />
                            </label>
                        </div>
                        <div className="single-choice-question-tf-big">
                            <p>
                                Aktivní senzory používají vlastní modulované světlo o definovaných nebo pevných vlnových délkách.
                            </p>

                            <label>
                                True
                                <input
                                    type="checkbox"
                                    checked={answers.answer3 === "true"}
                                    onChange={() => handleAnswerChange("answer3", "true")}
                                />
                            </label>
                            <label>
                                False
                                <input
                                    type="checkbox"
                                    checked={answers.answer3 === "false"}
                                    onChange={() => handleAnswerChange("answer3", "false")}
                                />
                            </label>
                        </div>
                        <div className="single-choice-question-tf-big">
                            <p>
                                Aktivní senzory měří množství sluneční energie, která je odrážena od objektů. &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            </p>

                            <label>
                                True
                                <input
                                    type="checkbox"
                                    checked={answers.answer4 === "true"}
                                    onChange={() => handleAnswerChange("answer4", "true")}
                                />
                            </label>
                            <label>
                                False
                                <input
                                    type="checkbox"
                                    checked={answers.answer4 === "false"}
                                    onChange={() => handleAnswerChange("answer4", "false")}
                                />
                            </label>
                        </div>

                        <button type="submit">Odeslat</button>
                    </form>
                </div>
            </div>
        </div>
    );
};