import React from 'react'
import { useState } from 'react'


export default function QuestionOne(props) {

    const { currentIndex } = props;
    const isHidden = currentIndex !== 0;

    const [answers, setAnswers] = useState([]);
    const [help, setHelp] = useState(false);

    const allAnswers = [
        'Senzory',
        'Digitální kompas',
        'Green Deal',
        'Roboti',
        'Satelitní monitorovací systémy',
        'Vlastnictví dat',
        'Drony',
        '4. průmyslová revoluce',
        'Digitální infrastruktura',
        'Nástroje pro podporu rozhodování',
        'Digitální marketing',
        'Digitální inovační centra'
    ];

    const correctAnswers = [
        'Senzory',
        'Roboti',
        'Satelitní monitorovací systémy',
        'Drony',
        'Nástroje pro podporu rozhodování',
        'Digitální marketing',
        'Digitální inovační centra'
    ];

    function handleHelp(e) {
        setHelp(true)
    }

    function handleNoHelp(e) {
        setHelp(false)
    }

    const isCorrect = () =>
        answers.length === correctAnswers.length &&
        correctAnswers.every(answer => answers.includes(answer));

    return (
        <div style={{ display: isHidden ? "none" : "block" }}>
            <div className='question-wrap'>
                <div className='question-title'><h2>Jaké jsou základní prvky precizního zemědělství?</h2></div>
                <p className='question-info'>Vyberte jednu nebo více možností:</p>
                <div className="help">
                    <button onClick={handleHelp}>Nápověda</button>
                    <button onClick={handleNoHelp}>Skrýt nápovědu</button>
                    {help && <iframe src="PA_CZ.pdf#page=2#zoom=300" width="600" height="300"></iframe>}
                </div>
                <ul className='multiple-choice'>
                    {allAnswers.map((answer, index) => (
                        <li key={index}>
                            <label>
                                {answer}
                                </label>
                                <input
                                    type="checkbox"
                                    checked={answers.includes(answer)}
                                    onChange={(event) =>
                                        event.target.checked
                                            ? setAnswers([...answers, answer])
                                            : setAnswers(answers.filter((a) => a !== answer))
                                    }
                                />
                        </li>
                    ))}
                </ul>
            <button onClick={isCorrect}>Submit</button>
            </div>
            {answers.length > 0 && (
                <div className='answer'>
                    {isCorrect() ? (<div>Dobrá práce!</div>) : (<div style={{ display: "none" }}></div>)}
                </div>
            )}
        </div>
    );
}
