import { useState } from "react";

export default function QuestionFive(props) {
    const { currentIndex } = props;
    const isHidden = currentIndex !== 6;

    // TODO ...  make this component function right

    const [isAnswerOneCorrect, setIsAnswerOneCorrect] = useState(false);
    const [isAnswerTwoCorrect, setIsAnswerTwoCorrect] = useState(false);
    const [isAnswerThreeCorrect, setIsAnswerThreeCorrect] = useState(false);
    const [help, setHelp] = useState(false);

    const handleDragStart = (event) => {
        event.dataTransfer.setData("text/plain", event.target.id);
    };

    const handleDropSentence1 = (event) => {
        const droppedItemId = event.dataTransfer.getData("text");
        if (droppedItemId === "rozmanitost") {
            setIsAnswerOneCorrect(true);
            event.target.appendChild(document.getElementById(droppedItemId));
        }
    };

    const handleDropSentence2 = (event) => {
        const droppedItemId = event.dataTransfer.getData("text");
        if (droppedItemId === "pravdivost") {
            setIsAnswerTwoCorrect(true);
            event.target.appendChild(document.getElementById(droppedItemId));
        }
    };
    const handleDropSentence3 = (event) => {
        const droppedItemId = event.dataTransfer.getData("text");
        if (droppedItemId === "rychlost") {
            setIsAnswerThreeCorrect(true);
            event.target.appendChild(document.getElementById(droppedItemId));
        }
    };

    const handleDragOver = (event) => {
        event.preventDefault();
    };

    function handleHelp(e) {
        setHelp(true)
    }

    function handleNoHelp(e) {
        setHelp(false)
    }

    return (
        <div style={{ display: isHidden ? "none" : "block" }}>
            <div className='question-wrap'>

                <div className='question-title'><h2>Big data</h2></div>
                <div className="question-info">Přetáhněte správné výrazy k výrokům:</div>
                <div className="help">
                    <button onClick={handleHelp}>Nápověda</button>
                    <button onClick={handleNoHelp}>Skrýt nápovědu</button>
                    {help && <iframe title="3V" src="big_dataCZ.pdf#page=2bottom#zoom=300" width="800" height="400"></iframe>}
                </div>
                <div className="flex">
                    {/*<form onSubmit={{}}></form>*/}
                    <div>
                        <p
                            onDragOver={handleDragOver}
                            onDrop={handleDropSentence1}
                            style={{
                                border: "1px solid black",
                                width: "400px",
                                padding: "10px",
                                margin: "10px",
                            }}
                        >
                            Velká data pocházejí z nejrůznějších zdrojů a obecně se jedná o
                            jeden ze tří typů: strukturovaná, polostrukturovaná a nestrukturovaná
                            data.
                        </p>
                        <p
                            onDragOver={handleDragOver}
                            onDrop={handleDropSentence2}
                            style={{
                                border: "1px solid black",
                                width: "400px",
                                padding: "10px",
                                margin: "10px",
                            }}
                        >
                            Velkých dat se týká kvality analyzovaných dat.
                        </p>
                        <p
                            onDragOver={handleDragOver}
                            onDrop={handleDropSentence3}
                            style={{
                                border: "1px solid black",
                                width: "400px",
                                padding: "10px",
                                margin: "10px",
                            }}
                        >
                            Im three
                        </p>
                    </div>
                    <div className="flex-column">
                        <button
                            style={{display:"inline-block"}}
                            id="pravdivost"
                            draggable={true}
                            onDragStart={handleDragStart}
                            className="drag-btn"
                        >
                            Pravdivost
                        </button>
                        <button
                            style={{display:"inline-block"}}
                            id="rozmanitost"
                            draggable={true}
                            onDragStart={handleDragStart}
                            className="drag-btn"
                        >
                            Rozmanitost
                        </button>
                        <button
                            style={{display:"inline-block"}}
                            id="rychlost"
                            draggable={true}
                            onDragStart={handleDragStart}
                            className="drag-btn"
                        >
                            Three
                        </button>

                    </div>

                </div>
                <div className='answer'>
                    {isAnswerOneCorrect && isAnswerTwoCorrect && isAnswerThreeCorrect ? (<div>Dobrá práce!</div>) : (<div style={{ display: "none" }}></div>)}
                </div>
            </div>

        </div>
    );
}