import React from "react";
import { useState } from 'react'


export default function QuestionSix(props) {
    const { currentIndex } = props;
    const isHidden = currentIndex !== 5;
    const [help, setHelp] = useState(false);

    function handleHelp(e) {
        setHelp(true)
    }

    function handleNoHelp(e) {
        setHelp(false)
    }

    const [answers, setAnswers] = useState({ answer1: "", answer2: "", answer3: "" });

    const handleAnswerChange = (answer, value) => {
        setAnswers({ ...answers, [answer]: value });
    };

    const handleSubmit = (event) => {
        event.preventDefault();
        const correctAnswers = ["structured", "semi", "unstructured"];
        const userAnswers = Object.values(answers);
        if (JSON.stringify(userAnswers) === JSON.stringify(correctAnswers)) {
            alert("Správně!");
        } else {
            alert("Bohužel špatně.");
        }
    };


    return (
        <div style={{ display: isHidden ? "none" : "block" }}>
            <div className='question-wrap'>

                <div className='question-title'><h2>O jaký typ velkých dat se jedná?</h2></div>
                <p className="question-info">Označte, správný typ dat u výroků:</p>

                <div className="help">
                    <button onClick={handleHelp}>Nápověda</button>
                    <button onClick={handleNoHelp}>Skrýt nápovědu</button>
                    {help && <iframe src="PA_CZ.pdf#page=2#zoom=300" width="600" height="300"></iframe>}
                </div>
                <form onSubmit={handleSubmit}>
                    <div className="single-choice-question-triple">
                        <p>Jakákoli data, která lze ukládat, zpřístupňovat a zpracovávat ve formě pevného formátu.</p>
                        <label>
                            Structured
                            <input
                                type="checkbox"
                                checked={answers.answer1 === "structured"}
                                onChange={() => handleAnswerChange("answer1", "structured")}
                            />
                        </label>
                        <label>
                            Unstructured
                            <input
                                type="checkbox"
                                checked={answers.answer1 === "unstructured"}
                                onChange={() => handleAnswerChange("answer1", "unstructured")}
                            />
                        </label>
                        <label>
                            Semi-structured
                            <input
                                type="checkbox"
                                checked={answers.answer1 === "semi"}
                                onChange={() => handleAnswerChange("answer1", "semi")}
                            />
                        </label>
                    </div>
                    <div className="single-choice-question-triple">

                        <p>Data, která neodpovídají datovému modelu, ale mají určitou strukturu.</p>
                        <label>
                            Structured
                            <input
                                type="checkbox"
                                checked={answers.answer2 === "structured"}
                                onChange={() => handleAnswerChange("answer2", "structured")}
                            />
                        </label>
                        <label>
                            Unstructured
                            <input
                                type="checkbox"
                                checked={answers.answer2 === "unstructured"}
                                onChange={() => handleAnswerChange("answer2", "unstructured")}
                            />
                        </label>
                        <label>
                            Semi-structured
                            <input
                                type="checkbox"
                                checked={answers.answer2 === "semi"}
                                onChange={() => handleAnswerChange("answer2", "semi")}
                            />
                        </label>
                    </div>
                    <div className="single-choice-question-triple">

                        <p>Surová data bez zavedeného datového modelu nebo schématu.</p>
                        <label>
                            Structured
                            <input
                                type="checkbox"
                                checked={answers.answer3 === "structured"}
                                onChange={() => handleAnswerChange("answer3", "structured")}
                            />
                        </label>
                        <label>
                            Unstructured
                            <input
                                type="checkbox"
                                checked={answers.answer3 === "unstructured"}
                                onChange={() => handleAnswerChange("answer3", "unstructured")}
                            />
                        </label>
                        <label>
                            Semi-structured
                            <input
                                type="checkbox"
                                checked={answers.answer3 === "semi"}
                                onChange={() => handleAnswerChange("answer3", "semi")}
                            />
                        </label>
                    </div>

                    <button type="submit">Odeslat</button>
                </form>
            </div>
        </div>
    );
};