import React from 'react'
import { useState } from 'react'


export default function QuestionSixteen(props) {
    const { currentIndex } = props;
    const isHidden = currentIndex !== 15;

    const [help, setHelp] = useState(false);


    const [isAnswerOneCorrect, setIsAnswerOneCorrect] = useState(false);
    const [isAnswerTwoCorrect, setIsAnswerTwoCorrect] = useState(false);
    const [isAnswerThreeCorrect, setIsAnswerThreeCorrect] = useState(false);

    const handleDragStart = (event) => {
        event.dataTransfer.setData("text/plain", event.target.id);
    };

    const handleDropSentence1 = (event) => {
        const droppedItemId = event.dataTransfer.getData("text");
        if (droppedItemId === "dintime") {
            setIsAnswerOneCorrect(true);
            event.target.appendChild(document.getElementById(droppedItemId));
        }
    };

    const handleDropSentence2 = (event) => {
        const droppedItemId = event.dataTransfer.getData("text");
        if (droppedItemId === "dmg") {
            setIsAnswerTwoCorrect(true);
            event.target.appendChild(document.getElementById(droppedItemId));
        }
    };
    const handleDropSentence3 = (event) => {
        const droppedItemId = event.dataTransfer.getData("text");
        if (droppedItemId === "dpg") {
            setIsAnswerThreeCorrect(true);
            event.target.appendChild(document.getElementById(droppedItemId));
        }
    };


    const handleDragOver = (event) => {
        event.preventDefault();
    };


    function handleHelp(e) {
        setHelp(true)
    }

    function handleNoHelp(e) {
        setHelp(false)
    }

    return (
        <div style={{ display: isHidden ? "none" : "block" }}>
            <div className='question-wrap'>

                <div className='question-title'><h2>Drony: </h2></div>
                <div className="question-info">Označte, ke která z uvedených tvrzení jsou pravdivá a která ne:</div>
                <div className="help">
                    <button onClick={handleHelp}>Nápověda</button>
                    <button onClick={handleNoHelp}>Skrýt nápovědu</button>
                    {help && <iframe title="3V" src="big_dataCZ.pdf#page=2bottom#zoom=300" width="800" height="400"></iframe>}
                </div>
                <div className='flex'>
                    <div>
                        <p
                            onDragOver={handleDragOver}
                            onDrop={handleDropSentence1}
                            style={{
                                border: "1px solid black",
                                width: "400px",
                                padding: "10px",
                                margin: "10px",
                            }}
                        >
                            Různé fáze plodin, jako je setí, hnojení, ochrana proti škůdcům, plenění, zásobování vodou a sklizeň jsou:
                        </p>
                        <p
                            onDragOver={handleDragOver}
                            onDrop={handleDropSentence2}
                            style={{
                                border: "1px solid black",
                                width: "400px",
                                padding: "10px",
                                margin: "10px",
                            }}
                        >
                            Data ze senzorů, bezpilotních letadel, GPS apod. jsou:
                        </p>
                        <p
                            onDragOver={handleDragOver}
                            onDrop={handleDropSentence3}
                            style={{
                                border: "1px solid black",
                                width: "400px",
                                padding: "10px",
                                margin: "10px",
                            }}
                        >
                            Údaje shromážděné z farem, např. informace o výsadbě, monitorování a zaznamenávání zemědělského procesu, jako je aplikace hnojiva na setí jsou: 
                        </p>

                    </div>
                    <div className="flex-column">

                        <button
                            style={{ display: "inline-block", verticalAlign: "middle" }}
                            id="dpg"
                            draggable={true}
                            onDragStart={handleDragStart}
                            className="drag-btn"
                        >
                            Data vygenerována procesem
                        </button>
                        <button
                            style={{ display: "inline-block" }}
                            id="dmg"
                            draggable={true}
                            onDragStart={handleDragStart}
                            className="drag-btn"
                        >
                            Strojově generované
                        </button>
                        <button
                            style={{ display: "inline-block" }}
                            id="dintime"
                            draggable={true}
                            onDragStart={handleDragStart}
                            className="drag-btn"
                        >
                            Data v čase
                        </button>

                    </div>
                </div>
                <button>Odeslat</button>
                <div className='answer'>
                    {isAnswerOneCorrect && isAnswerTwoCorrect && isAnswerThreeCorrect ? (<div>Dobrá práce!</div>) : (<div style={{ display: "none" }}></div>)}
                </div>

            </div>

        </div >
    )
}
