import React from "react";
import { useState } from 'react'


export default function QuestionThree(props) {
    const { currentIndex } = props;
    const isHidden = currentIndex !== 2;

    const [answer, setAnswer] = useState("");
    const [help, setHelp] = useState(false);

    function handleHelp(e) {
        setHelp(true)
    }

    function handleNoHelp(e) {
        setHelp(false)
    }

    const handleCheckboxChange = event => {
        const { name, checked } = event.target;
        setAnswer(checked ? name : "");
    };

    return (
        <div style={{ display: isHidden ? "none" : "block" }}>
            <div className='question-wrap'>
                <div className='question-title'><h2>Digitální inovační centra</h2></div>
                <p className="question-info">Zvolte pouze jednu možnost:</p>

                <div className="help">
                    <button onClick={handleHelp}>Nápověda</button>
                    <button onClick={handleNoHelp}>Skrýt nápovědu</button>
                    {help && <iframe src="PA_CZ.pdf#page=2#zoom=300" width="600" height="300"></iframe>}
                </div>
                <div className="single-choice-big">
                    <div className="single-choice-question">
                        <label>
                            Členství v digitálních inovačních centrech je podmínkou pro získání dotace na nákup nových technologií.

                        </label>
                        <input
                            type="checkbox"
                            name="A"
                            checked={answer === "A"}
                            onChange={handleCheckboxChange}
                        />
                    </div>
                    <br />
                    <div className="single-choice-question">
                        <label>
                            Členství v digitálních inovačních centrech je dobrovolné a může se jím stát každý zemědělec.

                        </label>
                        <input
                            type="checkbox"
                            name="B"
                            checked={answer === "B"}
                            onChange={handleCheckboxChange}
                        />
                    </div>

                    <br />
                    <div className="single-choice-question">
                        <label>
                            Hlavním cílem digitálních inovačních center je ochrana životního prostředí a co nejrychlejší dosažení cílů Green Deal.

                        </label>
                        <input
                            type="checkbox"
                            name="C"
                            checked={answer === "C"}
                            onChange={handleCheckboxChange}
                        />
                    </div>
                    <br />
                </div>
                {answer === "B" && <p>Správná odpověď!</p>}

            </div>
        </div>
    );
}

