import React from "react";
import { useState } from 'react'


export default function QuestionTwo(props) {

    const { currentIndex } = props;
    const isHidden = currentIndex !== 1;

    const [answer, setAnswer] = useState("");
    const [help, setHelp] = useState(false);

    function handleHelp(e) {
        setHelp(true)
    }

    function handleNoHelp(e) {
        setHelp(false)
    }

    const handleCheckboxChange = event => {
        const { name, checked } = event.target;
        setAnswer(checked ? name : "");
    };

    return (
        <div style={{ display: isHidden ? "none" : "block" }}>
            <div className='question-wrap'>

                <div className='question-title'><h2>Satelitní sledování</h2></div>
                <p className="question-info">Zvolte pouze jednu možnost:</p>

                <div className="help">
                    <button onClick={handleHelp}>Nápověda</button>
                    <button onClick={handleNoHelp}>Skrýt nápovědu</button>
                    {help && <iframe src="PA_CZ.pdf#page=2#zoom=300" width="600" height="300"></iframe>}
                </div>
                <div className="single-choice">

                    <div className="single-choice-question">
                        <label>
                            Satelity monitorují plodiny pouze v EU v různých oblastech zemědělské výroby.
                        </label>
                        <input
                            type="checkbox"
                            name="A"
                            checked={answer === "A"}
                            onChange={handleCheckboxChange}
                        />
                    </div>
                    <br />
                    <div className="single-choice-question">
                        <label>
                            Satelity monitorují úrodu na všech kontinentech kromě Arktidy a Antarktidy.
                        </label>
                        <input
                            type="checkbox"
                            name="B"
                            checked={answer === "B"}
                            onChange={handleCheckboxChange}
                        />
                    </div>
                    <br />
                    <div className="single-choice-question">
                        <label>
                            Satelity monitorují plodiny na všech kontinentech.
                        </label>
                        <input
                            type="checkbox"
                            name="C"
                            checked={answer === "C"}
                            onChange={handleCheckboxChange}
                        />
                    </div>
                    <br />
                </div>
                {answer === "C" && <p className="answer">Správná odpověď!</p>}

            </div>
        </div>
    );
}

